#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# chvote-pact                                                                                      -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

version: '3'
services:

  pact-backend:
    image: registry.gitlab.com/chvote2/web-apps/chvote-pact/pact-back:$IMAGE_TAG
    environment:
      - SPRING_PROFILES_ACTIVE=dev
    expose:
      - 8281 # frontend services
      - 8282 # b2b services
      - 8888 # management services
      - 47646

  pact-scheduler:
    image: registry.gitlab.com/chvote2/web-apps/chvote-pact/pact-back-scheduler:$IMAGE_TAG
    environment:
      - SPRING_PROFILES_ACTIVE=dev
    expose:
      - 8080

  pact-frontend:
    image: registry.gitlab.com/chvote2/web-apps/chvote-pact/pact-front:$IMAGE_TAG
    expose:
      - 4200

  pact-reverse-proxy:
    image: registry.gitlab.com/chvote2/web-apps/chvote-pact/pact-reverse-proxy:$IMAGE_TAG
    container_name: pact-reverse-proxy
    links:
      - pact-frontend
      - pact-backend
      - pact-scheduler
    entrypoint:
      - nginx
      - -c
      - /etc/nginx/nginx-with-mock-server.conf
      - -g
      - daemon off;
    ports:
      - "80:80"
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro

  pact-mock-server:
    image: registry.gitlab.com/chvote2/web-apps/chvote-pact/pact-backend-mock-server:$IMAGE_TAG
    environment:
      - SPRING_PROFILES_ACTIVE=docker
    volumes:
      - /tmp:/data
    links:
      - pact-backend
